package com.ruoyi.project.patrol.commonuse.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.commonuse.mapper.TCommonuseWaterPumpMapper;
import com.ruoyi.project.patrol.commonuse.domain.TCommonuseWaterPump;
import com.ruoyi.project.patrol.commonuse.service.ITCommonuseWaterPumpService;

/**
 * 水泵接合器Service业务层处理
 * 
 * @author admin
 * @date 2023-11-08
 */
@Service
public class TCommonuseWaterPumpServiceImpl implements ITCommonuseWaterPumpService 
{
    @Autowired
    private TCommonuseWaterPumpMapper tCommonuseWaterPumpMapper;

    /**
     * 查询水泵接合器
     * 
     * @param id 水泵接合器主键
     * @return 水泵接合器
     */
    @Override
    public TCommonuseWaterPump selectTCommonuseWaterPumpById(Long id)
    {
        return tCommonuseWaterPumpMapper.selectTCommonuseWaterPumpById(id);
    }

    /**
     * 查询水泵接合器列表
     * 
     * @param tCommonuseWaterPump 水泵接合器
     * @return 水泵接合器
     */
    @Override
    public List<TCommonuseWaterPump> selectTCommonuseWaterPumpList(TCommonuseWaterPump tCommonuseWaterPump)
    {
        return tCommonuseWaterPumpMapper.selectTCommonuseWaterPumpList(tCommonuseWaterPump);
    }

    /**
     * 新增水泵接合器
     * 
     * @param tCommonuseWaterPump 水泵接合器
     * @return 结果
     */
    @Override
    public int insertTCommonuseWaterPump(TCommonuseWaterPump tCommonuseWaterPump)
    {
        return tCommonuseWaterPumpMapper.insertTCommonuseWaterPump(tCommonuseWaterPump);
    }

    /**
     * 修改水泵接合器
     * 
     * @param tCommonuseWaterPump 水泵接合器
     * @return 结果
     */
    @Override
    public int updateTCommonuseWaterPump(TCommonuseWaterPump tCommonuseWaterPump)
    {
        return tCommonuseWaterPumpMapper.updateTCommonuseWaterPump(tCommonuseWaterPump);
    }

    /**
     * 批量删除水泵接合器
     * 
     * @param ids 需要删除的水泵接合器主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseWaterPumpByIds(Long[] ids)
    {
        return tCommonuseWaterPumpMapper.deleteTCommonuseWaterPumpByIds(ids);
    }

    /**
     * 删除水泵接合器信息
     * 
     * @param id 水泵接合器主键
     * @return 结果
     */
    @Override
    public int deleteTCommonuseWaterPumpById(Long id)
    {
        return tCommonuseWaterPumpMapper.deleteTCommonuseWaterPumpById(id);
    }
}
